#include <stdio.h>
#include <stdlib.h>

int xor_delilaca(int broj, int brojDelilaca, int skupDelilaca[]){
    int rezultat=0;
    for(int i=0; i<brojDelilaca;i++){
        if(broj%skupDelilaca[i]==0){
            rezultat= rezultat ^ skupDelilaca[i];
        }
    }
    return rezultat;
}

int main()
{
    int broj, brojDelilaca, skupDelilaca[100000];
    scanf("%d %d", &broj, &brojDelilaca);
    for(int i=0; i<brojDelilaca; i++){
        scanf("%d", &skupDelilaca[i]);
    }
    for(int i=0; i<brojDelilaca; i++){
        printf("%d", xor_delilaca(skupDelilaca[i],brojDelilaca,skupDelilaca));
        if(i<brojDelilaca-1) printf(" ");
    }

    return 0;
}